using CoreLibrary.Regles;

namespace MauiSpark.Pages;

public partial class ReglesPage : ContentPage
{
    public ReglesPage()
	{
		NavigationPage.SetHasNavigationBar(this, false);

		BindingContext = typeof(IRegles).Assembly.GetTypes()
            .Where(type => typeof(IRegles).IsAssignableFrom(type) && type.IsClass)
            .Select(type => (Activator.CreateInstance(type) as IRegles)!)
            .OrderBy(regles => regles.Indice);

        InitializeComponent();
	}
}